package com.liquidnet.service.galaxy.exception;

import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 自定义异常类
 * @class: ZxlNftException
 * @Package com.liquidnet.common.third.zxlnft.exception
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/21 13:44
 */
@Data
public class GalaxyNftException extends RuntimeException{
       private static final long serialVersionUID = -3916918823313768482L;
       private String code;
       private String msg;

       public GalaxyNftException(String code, String msg) {
             super(msg);
             this.code = code;
             this.msg = msg;
       }

       public GalaxyNftException(String code, String msg, Throwable t) {
             super(msg, t);
             this.code = code;
             this.msg = msg;
       }
}

